Bug 4761 - File copy fails with large files.
File copy fails with large files.
Status: RESOLVED WORKSFORME
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.25b
Sparc Solaris
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 15:38 UTC by Tom Schulz
Modified: 2007-09-12 15:02 UTC (History)
0 users

See Also:


Attachments
Samba log file (3.26 KB, text/plain)
2007-07-03 15:44 UTC, Tom Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2007-07-03 15:38:44 UTC
Trying to run Samba 3.0.25b on a Solaris 8 system. Built with Studio 11
compiler.  If I try to copy a large file (643 mb) the copy fails. The PC
says either 'The network connection was aborted by the local system' or
'The specified network name is no longer available'. The Samba log says
Broken pipe.  I will attach the Samba log.  Note that I can copy a small
file.
Comment 1 Tom Schulz 2007-07-03 15:44:54 UTC
Created attachment 2798 [details]
Samba log file

Log file shows two attempts to copy the file.  On the first attempt, the PC
showed 'The network connection was aborted by the local system'.  The second
attempt showed 'The specified network name is no longer available'.  In each
case a partial file was created.
Comment 2 Tom Schulz 2007-07-03 15:48:31 UTC
Also note that Samba 3.0.24 works OK.  That one was built with the
Forte Developer 7 C 5.4 compiler.
Comment 3 Jeremy Allison 2007-07-03 16:26:30 UTC
This message :

" read_data: read failure for 13328 bytes to client 192.168.2.23. Error = Connection reset by peer"

Usually means the client dropped the conection. We'll need a wireshare/ethereal trace of this to investigate further.

Jeremy.
Comment 4 Tom Schulz 2007-07-06 09:15:47 UTC
> We'll need a wireshare/ethereal trace of this to investigate further.

I was afraid of something like that.  I don't have either utility handy
and I am going out of town for a couple of weeks, so this will take awhile.

A little more detail to help someone reproduce this.  The copy has to be from
and to the same share.  Also, the underlaying file system has to be nfs mounted
on the Samba server.  This causes the copy to be very slow (about 12 minutes).
The copy succeeds if it is between the Samba server and the PC's disk.  It also
succeeds if I use a Samba 3.0.25b server that has the file system local.
I expect that this is some sort of time out problem.  But note that this does
not occur when I run Samba 3.0.24.
Comment 5 Tom Schulz 2007-09-12 14:43:41 UTC
This problem no longer occurs in Samba 3.0.26a.  I don't know what fixed
it, but something did.  You may as well close this bug.
Comment 6 Gerald (Jerry) Carter 2007-09-12 15:02:59 UTC
closing